<div class="listing-container">
  <div class="search-models">
    <mat-form-field class="full-width">
      <input matInput placeholder="Search" [(ngModel)]="search" (keyup.enter)="setFilter()" value="search">
      <button mat-button matSuffix (click)="setFilter()">
        <mat-icon>search</mat-icon>
      </button>
    </mat-form-field>
  </div>

  <mat-card>
    <mat-card-content>
      <div class="loading-shade" *ngIf="isLoadingResults">
        <mat-progress-bar *ngIf="isLoadingResults" mode="indeterminate"></mat-progress-bar>
        <div class="error" *ngIf="haserror">
          {{errorText}}
        </div>
      </div>
      <mat-table [dataSource]="dataSource" matSort>
        <ng-container *ngFor="let col of displayedColumns">
          <ng-container matColumnDef="{{ col }}">
            <mat-header-cell *matHeaderCellDef mat-sort-header (click)="setFilter()">{{ setColumnName(col) }}</mat-header-cell>
            <mat-cell *matCellDef="let row">
              <a *ngIf="row.uuid" [routerLink]="['/' + model, row.uuid]" >{{ formatRowData(row[col]) }}</a>
              <a *ngIf="row.transactionId" [routerLink]="['/' + model, row.transactionId]" >{{ formatRowData(row[col]) }}</a>
            </mat-cell>
          </ng-container>
        </ng-container>
        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
      </mat-table>
      <mat-paginator #Paginator 
       (page)="getUpdate($event)"
        [pageIndex]="paginator.pageIndex"
        [length]="dataSource.length"
        [pageSizeOptions]="[10, 50, 100, 500]">
      </mat-paginator>
    </mat-card-content>
    <mat-card-actions>
      <button mat-flat-button color="primary" [routerLink]="['/' + model, 'new']">New</button>
    </mat-card-actions>
  </mat-card>
</div>